Package Details: radare2-cutter-git 1.10.3.pre.r36.g3545f059-1

Git Clone URL: https://aur.archlinux.org/radare2-cutter-git.git (read-only, click to copy)
Package Base: radare2-cutter-git
Description: Qt and C++ GUI for radare2 reverse engineering framework (originally named Iaito)
Upstream URL: https://github.com/radareorg/cutter
Licenses: GPL3
Provides: radare2-cutter
Submitter: mcd1992
Maintainer: mcd1992
Last Packager: mcd1992
Votes: 6
Popularity: 0.002339
First Submitted: 2017-12-05 15:06
Last Updated: 2020-05-23 01:22

Latest Comments

1 2 Next › Last »

bartus commented on 2020-05-22 22:25

Few problems:
  • You are using bundled radare2 PKGBUILD#n33 but radare2-git is listed as depends.
    • If you are going to use bundled radare2 you are missing meson from makedepends (required to build radare2)
  • You are building with graphviz PKGBUILD#n36 but graphviz is missing form depends.

If I may suggest something: http://ix.io/2n2g

JJK commented on 2020-05-21 08:04

CMake Error at /usr/share/cmake-3.17/Modules/FindPackageHandleStandardArgs.cmake:164 (message):
  Could NOT find PySide2 (missing: PYSIDE_LIBRARY PYSIDE_INCLUDE_DIR
  PYSIDE_TYPESYSTEMS) (Required is at least version "5.14")

Adding pyside2 as a dependency fixes this issue

bartus commented on 2020-04-06 18:47

Would be nice to switch radare2 to radare2-git in depends array. Usually cutter-git is not able to build against community/radare2.

maximevince commented on 2019-09-06 13:21

Since today, there is a Ghidra decompiler plugin available. Could you modify the PKGBUILD to build with it?

Like this:

prepare() { cd ${pkgname} git submodule update --init --recursive

mkdir -p build cd build git clone --depth 1 --recurse-submodules https://github.com/radareorg/r2ghidra-dec.git qmake-qt5 ../src/Cutter.pro CUTTER_ENABLE_PYTHON=true CUTTER_ENABLE_PYTHON_BINDINGS=true CUTTER_R2GHIDRA_STATIC=true R2GHIDRA_SOURCE=pwd/r2ghidra-dec }

maximevince commented on 2019-09-05 16:18

Would you mind adding the python bindings by default?

  • qmake-qt5 ../src/Cutter.pro CUTTER_ENABLE_PYTHON=true CUTTER_ENABLE_PYTHON_BINDINGS=true

mcd1992 commented on 2018-10-30 20:48

@ferion, that seems to be caused by build/CMakeCache.txt being out of date. If you delete your build/ directory and re-run it updates the file. I'll make prepare() remove that file so its remade every time.

Edit: Actually it looks like the cutter devs changed the cmake system to not populate the CMakeCache anymore so this is just a one-time quirk where you'll have to delete the build dir.

ferion commented on 2018-10-27 18:46

Seems there's an issue while upgrading to python 3.7.1-1 and you want to open files, so I downgraded to 3.7.0.4

https://pastebin.com/KDX5h7aG

mcd1992 commented on 2018-10-21 07:42

Fixed, thanks.

bitwave commented on 2018-10-20 19:19

install: stat for 'src/Cutter.desktop' is not possible: file or directory not found.

I got this error...

regards, bitwave

timschumi commented on 2018-06-26 20:12

@mcd1992

Would you mind adding python as a build-time dependency? An installed copy of python is required to build in Jupyter support (which is enabled by default here), which may not always be available on minimalized build environments.